org.apache.tamaya.server

## Class ConfigServiceApp

- java.lang.Object
- - io.dropwizard.Application<ConfigServiceConfiguration>
  - - org.apache.tamaya.server.ConfigServiceApp

-     public class ConfigServiceApp
      extends io.dropwizard.Application<ConfigServiceConfiguration>

  Main Application for the Tamaya Configuration Server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigServiceApp()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `void` | `initialize(io.dropwizard.setup.Bootstrap<ConfigServiceConfiguration> bootstrap)`
    `static void` | `main(String... args)`
    `void` | `run(ConfigServiceConfiguration configuration, io.dropwizard.setup.Environment environment)`

    - ### Methods inherited from class io.dropwizard.Application

      `getConfigurationClass, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigServiceApp

          public ConfigServiceApp()

  - ### Method Detail

    - #### main

          public static void main(String... args)
                           throws Exception

      Throws:
        `Exception`

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `io.dropwizard.Application<ConfigServiceConfiguration>`

    - #### initialize

          public void initialize(io.dropwizard.setup.Bootstrap<ConfigServiceConfiguration> bootstrap)

      Overrides:
        `initialize` in class `io.dropwizard.Application<ConfigServiceConfiguration>`

    - #### run

          public void run(ConfigServiceConfiguration configuration,
                 io.dropwizard.setup.Environment environment)

      Specified by:
        `run` in class `io.dropwizard.Application<ConfigServiceConfiguration>`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.